Subject: Re: [PATCH 1/4] pack-bitmap: write lookup table extension by default

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Apr 2025 08:44:29 -0700

Jeff King <[email-masked]> writes:

> They're not technically required to be in sync. It is OK for the midx
> bitmaps to have different options than the ones we make for packs. And
> in theory they could intentionally diverge, though in practice I don't
> think we (yet) have any extensions or options that would be more
> appropriate for one or the other.
>
> So if we did want to join them, I think it would make sense to still be
> able to use different flags for each situation, but initialize them from
> a common definition.

Thanks for great explanation---I guess it is not worth pursuing,
then.  It is not like it would make the system misbehave when two
are set differently.